org.wso2.carbon.device.mgt.mobile.windows.api.common.exceptions

## Class OAuthTokenValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.device.mgt.mobile.windows.api.common.exceptions.OAuthTokenValidationException

- All Implemented Interfaces:
    Serializable

      public class OAuthTokenValidationException
      extends Exception

  Custom exception to be thrown inside OAuthTokenValidation related functionality.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthTokenValidationException()`
    `OAuthTokenValidationException(String msg)`
    `OAuthTokenValidationException(String msg, Exception nestedEx)`
    `OAuthTokenValidationException(String message, Throwable cause)`
    `OAuthTokenValidationException(Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorMessage()`
    `void` | `setErrorMessage(String errorMessage)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthTokenValidationException

          public OAuthTokenValidationException(String msg,
                                       Exception nestedEx)

    - #### OAuthTokenValidationException

          public OAuthTokenValidationException(String message,
                                       Throwable cause)

    - #### OAuthTokenValidationException

          public OAuthTokenValidationException(String msg)

    - #### OAuthTokenValidationException

          public OAuthTokenValidationException()

    - #### OAuthTokenValidationException

          public OAuthTokenValidationException(Throwable cause)

  - ### Method Detail

    - #### getErrorMessage

          public String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

Copyright © 2017 WSO2. All rights reserved.